{ nixpkgs, ... }:

{
  services.stirling-pdf = {
    enable = true;

    package = nixpkgs.unstable.stirling-pdf;

    domain = "pdf.dgnum.eu";
    port = 8084;

    nginx = {
      enableACME = true;
      forceSSL = true;
    };

    environment = {
      UI_APP_NAME = "DGNum PDF";
      SYSTEM_DEFAULT_LOCALE = "fr-FR";
    };
  };
}
